﻿using System;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 삭제 페이지
    /// </summary>
    public partial class DeletePage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if(string.IsNullOrEmpty(Request["ID"]))
            {
                Response.Write("잘못된 요청입니다.");

                Response.End();
            }
            else
            {
                if(!Page.IsPostBack)
                {
                    this.idLabel.Text = Request["ID"];
                }
            }
        }

        #endregion
        #region 삭제 버튼 클릭시 처리하기 - deleteButton_Click(sender, e)

        /// <summary>
        /// 삭제 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void deleteButton_Click(object sender, EventArgs e)
        {
            string connectionString = ConfigurationManager.ConnectionStrings["ConnectionString"].ConnectionString;
                
            SqlConnection connection = new SqlConnection(connectionString);

            connection.Open();

            SqlCommand command = new SqlCommand("DeleteMemo", connection);

            command.CommandType = CommandType.StoredProcedure;

            command.Parameters.Add("ID", SqlDbType.Int);

            command.Parameters["ID"].Value = Convert.ToInt32(Request["ID"]);

            command.ExecuteNonQuery();

            connection.Close();

            Response.Redirect("ListPage.aspx");
        }

        #endregion
    }
}