﻿using System;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 검색 페이지
    /// </summary>
    public partial class SearchPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        #endregion
        #region 검색 버튼 클릭시 처리하기 - searchButton_Click(sender, e)

        /// <summary>
        /// 검색 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void searchButton_Click(object sender, EventArgs e)
        {
            string connectionString = ConfigurationManager.ConnectionStrings["ConnectionString"].ConnectionString;

            SqlConnection connection = new SqlConnection(connectionString);

            connection.Open();

            SqlCommand command = new SqlCommand("SearchMemo", connection);

            command.CommandType = CommandType.StoredProcedure;

            command.Parameters.AddWithValue("SearchField", this.fieldDropDownList.SelectedValue);
            command.Parameters.AddWithValue("SearchQuery", this.queryTextBox.Text.Replace("--", ""));

            SqlDataAdapter adapter = new SqlDataAdapter(command);

            DataSet dataSet = new DataSet();

            adapter.Fill(dataSet, "Memo");

            this.gridView.DataSource = dataSet.Tables[0].DefaultView;

            this.gridView.DataBind();

            connection.Close();
        }

        #endregion
    }
}