﻿using System;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 뷰 페이지
    /// </summary>
    public partial class ViewPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if(string.IsNullOrEmpty(Request["ID"]))
            {
                Response.Write("잘못된 요청입니다.");

                Response.End();
            }
            else
            {
                DisplayData();

                this.updateHylerLink.NavigateUrl = $"UpdatePage.aspx?ID={Request["ID"]}";
                this.deleteHyperLink.NavigateUrl = $"DeletePage.aspx?ID={Request["ID"]}";
            }
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 데이터 표시하기 - DisplayData()

        /// <summary>
        /// 데이터 표시하기
        /// </summary>
        private void DisplayData()
        {
            string id = Request["ID"];

            string connectionString = ConfigurationManager.ConnectionStrings["ConnectionString"].ConnectionString;

            SqlConnection connection = new SqlConnection(connectionString);

            connection.Open();

            SqlCommand command = new SqlCommand("ViewMemo", connection);

            command.CommandType = CommandType.StoredProcedure;

            command.Parameters.Add("ID", SqlDbType.Int);

            command.Parameters["ID"].Value = Convert.ToInt32(id);

            SqlDataReader reader = command.ExecuteReader();

            if(reader.Read())
            {
                this.idLabel.Text          = id;
                this.titleLabel.Text       = reader["Title"      ].ToString();
                this.mailAddresslabel.Text = reader["MailAddress"].ToString();
                this.descriptionLabel.Text = reader["Description"].ToString();
                this.writeDateLabel.Text   = reader["WriteDate"  ].ToString();
                this.writeIPLabel.Text     = reader["WriteIP"    ].ToString();
            }
            else
            {
                Response.Write("존재하지 않는 데이터 입니다.");

                Response.End();
            }

            reader.Close();

            connection.Close(); 
        }

        #endregion
    }
}