﻿using System;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Web.UI;

using TestProject.Models;

namespace TestProject
{
    /// <summary>
    /// 메모 쓰기 페이지
    /// </summary>
    public partial class WritePage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        #endregion
        #region 쓰기 버튼 클릭시 처리하기 - writeButton_Click(sender, e)

        /// <summary>
        /// 쓰기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void writeButton_Click(object sender, EventArgs e)
        {
            MemoModel memo = new MemoModel();

            memo.Title       = this.titleTextBox.Text;
            memo.MailAddress = this.mailAddressTextBox.Text;
            memo.Description = this.descriptionTextBox.Text;
            memo.WriteDate   = DateTime.Now;
            memo.WriteIP     = Request.UserHostAddress;

            string connectionString = ConfigurationManager.ConnectionStrings["ConnectionString"].ConnectionString;

            SqlConnection connection = new SqlConnection(connectionString);

            connection.Open();

            SqlCommand command = new SqlCommand("WriteMemo", connection);

            command.CommandType = CommandType.StoredProcedure;

            command.Parameters.AddWithValue("@Title"       , memo.Title      );
            command.Parameters.AddWithValue("@MailAddress" , memo.MailAddress);
            command.Parameters.AddWithValue("@Description" , memo.Description);
            command.Parameters.AddWithValue("@WriteIP"     , memo.WriteIP    );

            command.ExecuteNonQuery(); 

            connection.Close();

            this.displayLabel.Text = "저장되었습니다.";
        }

        #endregion
        #region 목록 버튼 클릭시 처리하기 - listButton_Click(sender, e)

        /// <summary>
        /// 목록 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void listButton_Click(object sender, EventArgs e)
        {
            Response.Redirect("ListPage.aspx");
        }

        #endregion
    }
}